1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Problem Update MySQL

Discussion in 'Plesk 9.x for Linux Issues, Fixes, How-To' started by ErnestoW, Sep 18, 2009.

  1. ErnestoW

    ErnestoW Guest

    0
     
    Hi, I am trying to update my MySQL in the server I run"yum update" and I get this


    --> Processing Dependency: /usr/lib/mysql/libmysqlclient.so.15 for package: sw-e
    --> Finished Dependency Resolution
    sw-engine-2.0-3.200903131156.centos5.i386 from installed has depsolving problems
    --> Missing Dependency: /usr/lib/mysql/libmysqlclient.so.15 is needed by packa
    Error: Missing Dependency: /usr/lib/mysql/libmysqlclient.so.15 is needed by pack


    here is my output of installed packages:

    [root@rootsvr ]# rpm -qa | grep mysql
    perl-DBD-mysql-4.012-1.el5.rf
    mysql-server-5.0.45-7.el5
    mysql-5.0.45-7.el5
    php-mysql-5.1.6-23.2.el5_3
     
  2. Andrey Kucherov

    Andrey Kucherov Guest

    0
     
    Hello,

    You can try to download and install the MySQL package manually. First you can remove mysql package with the following command:

    rpm -e --nodeps --justdb mysql-5.0.45-7.el5

    And then install the updated package.

    You can find more information on rpm command options in the following article:

    http://linux.die.net/man/8/rpm
     
  3. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    What version of mysql are you attempting to upgrade to? If you are going to 5.1, you'll need to add in a -compat library with the mysql 5.0 client libraries.
     
Loading...